## volatile-task-core 4.0.1+18.04timbuktu1stella13

=== debian/changelog ===
volatile-task-core (4.0.1+18.04timbuktu1stella13) bionic; urgency=medium

  * Change the statement of 51_remove_oem_audio_dkms to false, meant remove
    this package if can't find depends 

 -- hugh chao <hugh.chao@canonical.com>  Mon, 17 Dec 2018 16:52:16 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella12) bionic; urgency=medium

  * Change the name of 51_remove_oem_audio_dkms 

 -- hugh chao <hugh.chao@canonical.com>  Mon, 17 Dec 2018 11:36:27 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella11) bionic; urgency=medium

  * Add hook to remove oem-audio-hda-daily-dkms (LP: #1806839) 

 -- hugh chao <hugh.chao@canonical.com>  Fri, 14 Dec 2018 17:28:03 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella10) bionic; urgency=medium

  *  Add /cdrom/preseed/ubuntu-recovery.cfg in task/default/10_oem_preseed 

 -- hugh chao <hugh.chao@canonical.com>  Fri, 14 Dec 2018 17:03:58 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella9) bionic; urgency=medium

  * Clean extra things in factory clean script 

 -- hugh chao <hugh.chao@canonical.com>  Thu, 22 Nov 2018 16:07:25 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella8) bionic; urgency=medium

  * trigger_reboot after the installation of amdgpu 

 -- hugh chao <hugh.chao@canonical.com>  Tue, 20 Nov 2018 17:23:46 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella7) bionic; urgency=medium

  * [Bootstrap] Base on Stella's new bootstrap spec
  * Remove ESP creating part in early task of volatile task 
  * Use OSChanger to modify Result.ini both in success and failue cases

 -- hugh chao <hugh.chao@canonical.com>  Thu, 08 Nov 2018 19:03:56 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella6) bionic; urgency=medium

  * Temporarily disable temparchive.list, and resotre it back later (LP: 1790566) 

 -- hugh chao <hugh.chao@canonical.com>  Mon, 05 Nov 2018 16:57:31 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella5) bionic; urgency=medium

  * Re-create ESP again in the earlytask (LP: #1793422) 

 -- hugh chao <hugh.chao@canonical.com>  Fri, 21 Sep 2018 11:47:06 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella4) bionic; urgency=medium

  * Bump Version 

 -- hugh chao <hugh.chao@canonical.com>  Thu, 20 Sep 2018 15:54:05 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella3) bionic; urgency=medium

  * [Factory Process] Do not add extended partion(5th) after factory process due to HP said
    there is no longer supported. (LP: #1049441)(LP: #1793422)
  * [Factory Process] write 0 to /SYSTEM.SAV/result.ini (LP: #1793422) 

 -- hugh chao <hugh.chao@canonical.com>  Wed, 19 Sep 2018 17:49:28 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella2) bionic; urgency=medium

  * Fix getId.sh error due to old code can't get the right id in some cases

 -- hugh chao <hugh.chao@canonical.com>  Fri, 13 Jul 2018 13:37:51 +0800

volatile-task-core (4.0.1+18.04timbuktu1stella1) bionic; urgency=medium

  * Bump version and upgrade to bionic 

 -- hugh chao <hugh.chao@canonical.com>  Wed, 11 Jul 2018 20:39:41 +0800

volatile-task-core (4.0.0+columbia2stella36) xenial; urgency=medium

  * Move amdgpu packages to depeneds on meta packages.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 08 Feb 2018 16:46:57 +0800

volatile-task-core (4.0.0+columbia2stella35) xenial; urgency=medium

  * Bump version for CMIT.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 07 Feb 2018 13:02:28 +0800

volatile-task-core (4.0.0+columbia2stella34) xenial; urgency=medium

  * Make a image identical to M5 for the user recovery issue (-48 image).

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Fri, 26 Jan 2018 18:06:21 +0800

volatile-task-core (4.0.0+columbia2stella33) xenial; urgency=medium

  * Fix the /etc/machine-id issue. (LP: #1745331)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 25 Jan 2018 17:57:46 +0800

volatile-task-core (4.0.0+columbia2stella32) xenial; urgency=medium

  * Fix UEFI entry in M3 issue. (LP: #1740066)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 25 Jan 2018 15:14:47 +0800

volatile-task-core (4.0.0+columbia2stella31) xenial; urgency=medium

  * A test release for factory issue: revert 4.0.0+columbia2stella26

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Fri, 19 Jan 2018 17:37:43 +0800

volatile-task-core (4.0.0+columbia2stella30) xenial; urgency=medium

  * Fix stella29 missing driver/ issue.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 17 Jan 2018 15:01:17 +0800

volatile-task-core (4.0.0+columbia2stella29) xenial; urgency=medium

  * Remove external amdgpu pro driver. (LP: #1737948, LP: #1741877)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 17 Jan 2018 14:48:08 +0800

volatile-task-core (4.0.0+columbia2stella28) xenial; urgency=medium

  * Fix efi file path.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 08 Jan 2018 17:39:38 +0800

volatile-task-core (4.0.0+columbia2stella27) xenial; urgency=medium

  * Do not create volatile archive.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 08 Jan 2018 16:51:08 +0800

volatile-task-core (4.0.0+columbia2stella26) xenial; urgency=medium

  * Use shimx64.efi instead of bootx64.efi.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 08 Jan 2018 10:53:30 +0800

volatile-task-core (4.0.0+columbia2stella25) xenial; urgency=medium

  * Install temp packages if necessary.

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 26 Dec 2017 11:08:17 +0800

volatile-task-core (4.0.0+columbia2stella24) xenial; urgency=medium

  * Restructure code.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 25 Dec 2017 18:48:44 +0800

volatile-task-core (4.0.0+columbia2stella23) xenial; urgency=medium

  * Fix mount recovery partition script in other places.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 25 Dec 2017 15:01:29 +0800

volatile-task-core (4.0.0+columbia2stella22) xenial; urgency=medium

  * Move pre-downloaded packages to bugsy-config.


