=== debian/control ===
Source: volatile-task-core
Section: admin
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 8.1.3), python-all (>= 2.6.6-3~),
 dh-systemd,
 python-setuptools, python-debian
Standards-Version: 3.9.5
Vcs-Git:lp:~stella-team/timbuktu/+git/volatile-task-core.stella
X-Python-Version: >= 2.7

Package: volatile-task-core
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, moreutils, cpuid, dmidecode, read-edid, acpidump,
 iasl,squashfs-tools, python2.7, python-debian, dpkg-dev, fonts-droid-fallback
Description: Installing some Debian packages before oem-config
 Before executing oem-config, installing some Debian packages.
 .
 For example, installing nvidia and fglrx before oem-config starts.
 To get proper screen resolution by installing proprietary driver.
